GNU bug report logs - #49520
[PATCH] Minor fixes to interception-tools and update dual-function-keys.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: "Paul A. Patience" <paul@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 49520 <at> debbugs.gnu.org and "Paul A. Patience" <paul@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49520 <at> debbugs.gnu.org:


Received: (at 49520) by debbugs.gnu.org; 27 Jul 2021 10:05:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 27 06:05:25 2021
Received: from localhost ([127.0.0.1]:52587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m8Jxl-0004PA-EZ
	for submit <at> debbugs.gnu.org; Tue, 27 Jul 2021 06:05:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45372)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1m8Jxk-0004Ox-2k
 for 49520 <at> debbugs.gnu.org; Tue, 27 Jul 2021 06:05:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42748)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1m8Jxd-0000lu-So; Tue, 27 Jul 2021 06:05:17 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=42964 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1m8Jxd-00027v-L8; Tue, 27 Jul 2021 06:05:17 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#49520] [PATCH] Minor fixes to interception-tools and
 update dual-function-keys.
References: <NEIrg3jAQLk3rSccOnD0bUTFfuykBE5q-8fJunGFpO6gVZvgUk83mlAv9XWqbcG2n1XPQvGFVAI230sGJNNou14ZiV1XHoHz9aN_a9WO7R4=@apatience.com>
 <87y29t6kqk.fsf@HIDDEN>
 <668d75baa21e97dd2c8ae6d6fcac6e1bf7d651f8.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 9 Thermidor an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 27 Jul 2021 12:05:15 +0200
In-Reply-To: <668d75baa21e97dd2c8ae6d6fcac6e1bf7d651f8.camel@HIDDEN>
 (Maxime Devos's message of "Mon, 26 Jul 2021 20:06:04 +0200")
Message-ID: <8735s05axw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49520
Cc: 49520 <at> debbugs.gnu.org, "Paul A. Patience" <paul@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Maxime,

Maxime Devos <maximedevos@HIDDEN> skribis:

> Ludovic Court=C3=A8s schreef op ma 26-07-2021 om 19:36 [+0200]:

[...]

>> > -    ;; Dual-licensed under GPLv3+ or "something else" on request, per
>> > +    ;; Dual-licensed under GPLv3 or "something else" on request, per
>> >      ;; 'README.md'.
>> > -    (license license:gpl3+)))
>> > +    (license license:gpl3)))
>>=20
>> AFAICS, nothing in the source says =E2=80=9Cversion 3 only=E2=80=9D, so =
=E2=80=98gpl3+=E2=80=99 is correct.
>
> Nothing in the source mentions any version number (aside the license text=
=20
> itself), so gpl1+ is correct according to section =E2=80=9814. Revised Ve=
rsions of this License=E2=80=99:
>
>   [...].  If the Program does not specify a version number of the
> GNU General Public License, you may choose any version ever published
> by the Free Software Foundation.

I agree, though the way we encode it in Guix is =E2=80=98gpl3+=E2=80=99.

> -- Actually, a version number is specified somewhere.  In the README
> (https://gitlab.com/interception/linux/tools#license) there is a =E2=80=
=98GPLv3 Free Software=E2=80=99
> icon. So GPLv1 and GPLv2 are out.  I'm not sure if GPLv4, GPLv5 ... are a=
llowed
> in this case.

My interpretation is that it=E2=80=99s =E2=80=9Cversion 3 or later=E2=80=9D.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#49520; Package guix-patches. Full text available.

Message received at 49520 <at> debbugs.gnu.org:


Received: (at 49520) by debbugs.gnu.org; 26 Jul 2021 23:59:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 26 19:59:03 2021
Received: from localhost ([127.0.0.1]:51760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m8AUw-0004Gl-PL
	for submit <at> debbugs.gnu.org; Mon, 26 Jul 2021 19:59:02 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:43506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paul@HIDDEN>) id 1m8AUq-0004GD-FX
 for 49520 <at> debbugs.gnu.org; Mon, 26 Jul 2021 19:59:01 -0400
Date: Mon, 26 Jul 2021 23:58:48 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=apatience.com;
 s=protonmail3; t=1627343930;
 bh=emByy9zl85B5KC+iC5axUWbrq5LkVLUYkdKqu04FoB0=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=JHshEaG6++wKRtkV9nBkWOjHa2jTkGSt0r+hCSPoVgu5Fu5wSmGDdXK1UAk8RxRi9
 HbkXwUtce/9nO/CRseKZSq88yhDAu8JseGC2bghC0M6B1IEF+CfxktGYlKDGY+RfMH
 9W6UcNR5xZ8TgDL25ozioyZp10prPvld6qJYn5AAObUgMLbbPxT0QsRaodQuQIUBYP
 +tu72x0oKeGJLZsL2V9uk7LHzcp+kCYG6fsIdGHDc63imFhGmK+3fqYcY0asnxpA7Y
 mpzVX+ZXqC7anJIFgOZUO4hrfjHdiCCwkTaQ4JYy0VXhhinclKV4uDwNXMlmZKhIfE
 iKKkIVmDc2lnA==
To: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
From: "Paul A. Patience" <paul@HIDDEN>
Subject: Re: bug#49520: [PATCH] Minor fixes to interception-tools and update
 dual-function-keys.
Message-ID: <2tcEJXfUOhYrQrdLfdvoSn803OhFqSgbiJ3ovJvA2jKSv7ujztvc0KA6tDzzj0l-JT7CamNKiIo36FUjMJ9-eF2KBPvLgZrb6TrSRsbS55s=@apatience.com>
In-Reply-To: <87y29t6kqk.fsf@HIDDEN>
References: <NEIrg3jAQLk3rSccOnD0bUTFfuykBE5q-8fJunGFpO6gVZvgUk83mlAv9XWqbcG2n1XPQvGFVAI230sGJNNou14ZiV1XHoHz9aN_a9WO7R4=@apatience.com>
 <87y29t6kqk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 49520
Cc: 49520 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: "Paul A. Patience" <paul@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Monday, July 26th, 2021 at 13:36, Ludovic Court=C3=A8s <ludo@HIDDEN> wr=
ote:
> "Paul A. Patience" <paul@HIDDEN> skribis:
>
>> From 34e0d095c51cb37a10b338586446c48eec9c7bca Mon Sep 17 00:00:00 2001
>> From: "Paul A. Patience" <paul@HIDDEN>
>> Date: Sun, 11 Jul 2021 00:08:39 -0400
>> Subject: [PATCH 1/3] gnu: interception-tools: Make minor fixes.
>>
>> * gnu/packages/linux.scm (interception-tools)[inputs]: Move boost to...
>> [native-inputs]: ...here. New field.
>> [license]: gpl3+ -> gpl3.

<snip>

> It seems to me this patch can be dropped.  WDYT?

Sounds good.

Thanks,
Paul





Information forwarded to guix-patches@HIDDEN:
bug#49520; Package guix-patches. Full text available.

Message received at 49520 <at> debbugs.gnu.org:


Received: (at 49520) by debbugs.gnu.org; 26 Jul 2021 18:06:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 26 14:06:26 2021
Received: from localhost ([127.0.0.1]:51469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m84zi-0001rs-FV
	for submit <at> debbugs.gnu.org; Mon, 26 Jul 2021 14:06:26 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:49128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1m84ze-0001rg-1N
 for 49520 <at> debbugs.gnu.org; Mon, 26 Jul 2021 14:06:24 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by baptiste.telenet-ops.be with bizsmtp
 id Zu6L250010mfAB401u6Lvi; Mon, 26 Jul 2021 20:06:20 +0200
Message-ID: <668d75baa21e97dd2c8ae6d6fcac6e1bf7d651f8.camel@HIDDEN>
Subject: Re: [bug#49520] [PATCH] Minor fixes to interception-tools and
 update dual-function-keys.
From: Maxime Devos <maximedevos@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>, "Paul A. Patience"
 <paul@HIDDEN>
Date: Mon, 26 Jul 2021 20:06:04 +0200
In-Reply-To: <87y29t6kqk.fsf@HIDDEN>
References: <NEIrg3jAQLk3rSccOnD0bUTFfuykBE5q-8fJunGFpO6gVZvgUk83mlAv9XWqbcG2n1XPQvGFVAI230sGJNNou14ZiV1XHoHz9aN_a9WO7R4=@apatience.com>
 <87y29t6kqk.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-YKyjJv3SrlDsH3iRk4KG"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1627322780; bh=mCOn7U+UbfITxTvhN1zSbUiv3TzXpTjExhRirrz9YB0=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=Ormmdn4BGJVmYdahCzQZxRU+CwqdkaR0ISP3rTnyZAtILBq+ZyM+x4i1h15/1Vbo1
 0C9qGC+2ie09rqC5YVMeH72rlcSc+XFI6moF4x6QDs7pX9FvdnytUj6k5PvSKgQpu5
 fsheGPkQG5UG2HIX2FzfDzB8EYNX4tbmFH2d1Da+9dw5hqW6P/q1d135Q4ItetU9sP
 L+McOmatogTiM+rbGKi33YeRUxjXRwplPZt2Thzr1AxJfQmf0Nat9PR7ozEV0cfzMd
 LF6bBXUxY7ioaQWKkOtJsCWZIvewdbBZQhU6ujopvu3gWP+lF76FH1ZerjLk2mSBR+
 lTDgXFMHfrHYw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49520
Cc: 49520 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-YKyjJv3SrlDsH3iRk4KG
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s schreef op ma 26-07-2021 om 19:36 [+0200]:
> Hi,
>=20
> "Paul A. Patience" <paul@HIDDEN> skribis:
>=20
> > From 34e0d095c51cb37a10b338586446c48eec9c7bca Mon Sep 17 00:00:00 2001
> > From: "Paul A. Patience" <paul@HIDDEN>
> > Date: Sun, 11 Jul 2021 00:08:39 -0400
> > Subject: [PATCH 1/3] gnu: interception-tools: Make minor fixes.
> >=20
> > * gnu/packages/linux.scm (interception-tools)[inputs]: Move boost to...
> > [native-inputs]: ...here. New field.
> > [license]: gpl3+ -> gpl3.
>=20
> [...]
>=20
> > +    (native-inputs
> > +     `(("boost" ,boost)))
> >      (inputs
> > -     `(("boost" ,boost)
> > -       ("libevdev" ,libevdev)
> > +     `(("libevdev" ,libevdev)
>=20
> I believe Boost should remain in =E2=80=98inputs=E2=80=99 or it would not=
 be found when
> cross-compiling.
>=20
> > -    ;; Dual-licensed under GPLv3+ or "something else" on request, per
> > +    ;; Dual-licensed under GPLv3 or "something else" on request, per
> >      ;; 'README.md'.
> > -    (license license:gpl3+)))
> > +    (license license:gpl3)))
>=20
> AFAICS, nothing in the source says =E2=80=9Cversion 3 only=E2=80=9D, so =
=E2=80=98gpl3+=E2=80=99 is correct.

Nothing in the source mentions any version number (aside the license text=
=20
itself), so gpl1+ is correct according to section =E2=80=9814. Revised Vers=
ions of this License=E2=80=99:

  [...].  If the Program does not specify a version number of the
GNU General Public License, you may choose any version ever published
by the Free Software Foundation.

This is probably not the intention of the author though,
so maybe write license:gpl3+ anyway, and =E2=80=98someone=E2=80=99 should s=
ubmit a bug report or patch
upstream.

-- Actually, a version number is specified somewhere.  In the README
(https://gitlab.com/interception/linux/tools#license) there is a =E2=80=98G=
PLv3 Free Software=E2=80=99
icon. So GPLv1 and GPLv2 are out.  I'm not sure if GPLv4, GPLv5 ... are all=
owed
in this case.

Greetings,
Maxime.


--=-YKyjJv3SrlDsH3iRk4KG
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYP75jRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7pDdAQCVi0P6SO5+zOhautS7P5M5gkyH
3i/0PZYLWiH6mH/ZAQEAtTiuYs+Co07mBKN7cPvI73Dc5fEaHilrIELEiclwDAk=
=s714
-----END PGP SIGNATURE-----

--=-YKyjJv3SrlDsH3iRk4KG--





Information forwarded to guix-patches@HIDDEN:
bug#49520; Package guix-patches. Full text available.

Message received at 49520 <at> debbugs.gnu.org:


Received: (at 49520) by debbugs.gnu.org; 26 Jul 2021 17:36:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 26 13:36:33 2021
Received: from localhost ([127.0.0.1]:51442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m84Wj-00017v-DV
	for submit <at> debbugs.gnu.org; Mon, 26 Jul 2021 13:36:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1m84WS-00017J-JM
 for 49520 <at> debbugs.gnu.org; Mon, 26 Jul 2021 13:36:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49038)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1m84WL-00051t-Qd; Mon, 26 Jul 2021 13:36:05 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=45308 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1m84WL-0006d2-Im; Mon, 26 Jul 2021 13:36:05 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Paul A. Patience" <paul@HIDDEN>
Subject: Re: bug#49520: [PATCH] Minor fixes to interception-tools and update
 dual-function-keys.
References: <NEIrg3jAQLk3rSccOnD0bUTFfuykBE5q-8fJunGFpO6gVZvgUk83mlAv9XWqbcG2n1XPQvGFVAI230sGJNNou14ZiV1XHoHz9aN_a9WO7R4=@apatience.com>
Date: Mon, 26 Jul 2021 19:36:03 +0200
In-Reply-To: <NEIrg3jAQLk3rSccOnD0bUTFfuykBE5q-8fJunGFpO6gVZvgUk83mlAv9XWqbcG2n1XPQvGFVAI230sGJNNou14ZiV1XHoHz9aN_a9WO7R4=@apatience.com>
 (Paul A. Patience's message of "Sun, 11 Jul 2021 04:31:58 +0000")
Message-ID: <87y29t6kqk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 49520
Cc: 49520 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

"Paul A. Patience" <paul@HIDDEN> skribis:

> From 34e0d095c51cb37a10b338586446c48eec9c7bca Mon Sep 17 00:00:00 2001
> From: "Paul A. Patience" <paul@HIDDEN>
> Date: Sun, 11 Jul 2021 00:08:39 -0400
> Subject: [PATCH 1/3] gnu: interception-tools: Make minor fixes.
>
> * gnu/packages/linux.scm (interception-tools)[inputs]: Move boost to...
> [native-inputs]: ...here. New field.
> [license]: gpl3+ -> gpl3.


[...]

> +    (native-inputs
> +     `(("boost" ,boost)))
>      (inputs
> -     `(("boost" ,boost)
> -       ("libevdev" ,libevdev)
> +     `(("libevdev" ,libevdev)

I believe Boost should remain in =E2=80=98inputs=E2=80=99 or it would not b=
e found when
cross-compiling.

> -    ;; Dual-licensed under GPLv3+ or "something else" on request, per
> +    ;; Dual-licensed under GPLv3 or "something else" on request, per
>      ;; 'README.md'.
> -    (license license:gpl3+)))
> +    (license license:gpl3)))

AFAICS, nothing in the source says =E2=80=9Cversion 3 only=E2=80=9D, so =E2=
=80=98gpl3+=E2=80=99 is correct.

It seems to me this patch can be dropped.  WDYT?

> From c324fef966098f885454f5afb0687db137d4c7d0 Mon Sep 17 00:00:00 2001
> From: "Paul A. Patience" <paul@HIDDEN>
> Date: Sun, 11 Jul 2021 00:22:46 -0400
> Subject: [PATCH 3/3] gnu: interception-dual-function-keys: Update to 1.4.=
0.
>=20
> * gnu/packages/linux.scm (interception-dual-function-keys)
> [version]: Update to 1.4.0.

Applied.

> From 83c06ca8d7b52c7dc7c38ed2c476ff39047f5cd2 Mon Sep 17 00:00:00 2001
> From: "Paul A. Patience" <paul@HIDDEN>
> Date: Sun, 11 Jul 2021 00:19:56 -0400
> Subject: [PATCH 2/3] gnu: interception-dual-function-keys: Minor fixes.
>
> * gnu/packages/linux.scm (interception-dual-function-keys)
> [arguments]<#:make-flags>: Make use of cc-for-target, cxx-for-target and
> %output.
> <#:phases>{check}: Undelete phase. Disable tests instead with...
> <#:tests?>: ...this. New field.

Applied, thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#49520; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jul 2021 04:32:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 11 00:32:11 2021
Received: from localhost ([127.0.0.1]:33727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m2R8V-0001rx-I5
	for submit <at> debbugs.gnu.org; Sun, 11 Jul 2021 00:32:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:38464)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paul@HIDDEN>) id 1m2R8T-0001rp-Ff
 for submit <at> debbugs.gnu.org; Sun, 11 Jul 2021 00:32:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37020)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paul@HIDDEN>)
 id 1m2R8S-0005QK-7e
 for guix-patches@HIDDEN; Sun, 11 Jul 2021 00:32:08 -0400
Received: from mail-4317.protonmail.ch ([185.70.43.17]:10303)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paul@HIDDEN>)
 id 1m2R8N-00055z-LN
 for guix-patches@HIDDEN; Sun, 11 Jul 2021 00:32:07 -0400
Date: Sun, 11 Jul 2021 04:31:58 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=apatience.com;
 s=protonmail3; t=1625977920;
 bh=rCFUuHAGF+fw42sXw8nZyFOZpboPf2VrKmMugMxshsk=;
 h=Date:To:From:Reply-To:Subject:From;
 b=Gmdp8h59cZRnt+9n6Yg1jQHXMxm5DNhIRW/8daeFQK7Z52x2bLV5SxC4anNju7Nx3
 88AfhH5AARqZtIVGsVJmkmcNqFHQrBkWFBVC07PgqiqqmoB21yHldwQAlOIuVt09GA
 Jhf1CLHLTWSdZOQ/p1iQOkBF9Cr8k6WdVy2BJIkZ80dcLA/uPTRRcMM5WdQWu6X3Jd
 z+DqNG/J8aH5sXL5/jMEgJ6glLcMt0UpPImpsZpzyuUKwUXAakSXsz8eNGdBzWGtrP
 zBK+3vWNrGIa8J27CTqeo3sYiHLpf6RmXiXHQeGkkhc5HZMeDnru823Jmz4Cnj52VR
 nLeY18nRS1S/w==
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: "Paul A. Patience" <paul@HIDDEN>
Subject: [PATCH] Minor fixes to interception-tools and update
 dual-function-keys.
Message-ID: <NEIrg3jAQLk3rSccOnD0bUTFfuykBE5q-8fJunGFpO6gVZvgUk83mlAv9XWqbcG2n1XPQvGFVAI230sGJNNou14ZiV1XHoHz9aN_a9WO7R4=@apatience.com>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_TziJnjx3PgSCRwD82fFi2YbdE2JEN0qDAGq8CURzQ8"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.43.17; envelope-from=paul@HIDDEN;
 helo=mail-4317.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: "Paul A. Patience" <paul@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.

--b1_TziJnjx3PgSCRwD82fFi2YbdE2JEN0qDAGq8CURzQ8
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Empty Message
--b1_TziJnjx3PgSCRwD82fFi2YbdE2JEN0qDAGq8CURzQ8
Content-Type: text/x-patch; name=0001-gnu-interception-tools-Make-minor-fixes.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-interception-tools-Make-minor-fixes.patch
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--b1_TziJnjx3PgSCRwD82fFi2YbdE2JEN0qDAGq8CURzQ8
Content-Type: text/x-patch; name=0003-gnu-interception-dual-function-keys-Update-to-1.4.0.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0003-gnu-interception-dual-function-keys-Update-to-1.4.0.patch

RnJvbSBjMzI0ZmVmOTY2MDk4Zjg4NTQ1NGY1YWZiMDY4N2RiMTM3ZDRjN2QwIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiAiUGF1bCBBLiBQYXRpZW5jZSIgPHBhdWxAYXBhdGllbmNlLmNv
bT4KRGF0ZTogU3VuLCAxMSBKdWwgMjAyMSAwMDoyMjo0NiAtMDQwMApTdWJqZWN0OiBbUEFUQ0gg
My8zXSBnbnU6IGludGVyY2VwdGlvbi1kdWFsLWZ1bmN0aW9uLWtleXM6IFVwZGF0ZSB0byAxLjQu
MC4KCiogZ251L3BhY2thZ2VzL2xpbnV4LnNjbSAoaW50ZXJjZXB0aW9uLWR1YWwtZnVuY3Rpb24t
a2V5cykKW3ZlcnNpb25dOiBVcGRhdGUgdG8gMS40LjAuCi0tLQogZ251L3BhY2thZ2VzL2xpbnV4
LnNjbSB8IDQgKystLQogMSBmaWxlIGNoYW5nZWQsIDIgaW5zZXJ0aW9ucygrKSwgMiBkZWxldGlv
bnMoLSkKCmRpZmYgLS1naXQgYS9nbnUvcGFja2FnZXMvbGludXguc2NtIGIvZ251L3BhY2thZ2Vz
L2xpbnV4LnNjbQppbmRleCA4ZmE3MjNiYzFhLi42NDUyZGE5ZjdiIDEwMDY0NAotLS0gYS9nbnUv
cGFja2FnZXMvbGludXguc2NtCisrKyBiL2dudS9wYWNrYWdlcy9saW51eC5zY20KQEAgLTM3MjIs
NyArMzcyMiw3IEBAIGRldmljZXMgdGhhdCBjYW4gaW5qZWN0IGV2ZW50cyBkaXJlY3RseSBpbnRv
IHRoZSBpbnB1dCBzdWJzeXN0ZW0uIikKIChkZWZpbmUtcHVibGljIGludGVyY2VwdGlvbi1kdWFs
LWZ1bmN0aW9uLWtleXMKICAgKHBhY2thZ2UKICAgICAobmFtZSAiaW50ZXJjZXB0aW9uLWR1YWwt
ZnVuY3Rpb24ta2V5cyIpCi0gICAgKHZlcnNpb24gIjEuMy4wIikKKyAgICAodmVyc2lvbiAiMS40
LjAiKQogICAgIChob21lLXBhZ2UgImh0dHBzOi8vZ2l0bGFiLmNvbS9pbnRlcmNlcHRpb24vbGlu
dXgvcGx1Z2lucy9kdWFsLWZ1bmN0aW9uLWtleXMiKQogICAgIChzb3VyY2UgKG9yaWdpbgogICAg
ICAgICAgICAgICAobWV0aG9kIGdpdC1mZXRjaCkKQEAgLTM3MzIsNyArMzczMiw3IEBAIGRldmlj
ZXMgdGhhdCBjYW4gaW5qZWN0IGV2ZW50cyBkaXJlY3RseSBpbnRvIHRoZSBpbnB1dCBzdWJzeXN0
ZW0uIikKICAgICAgICAgICAgICAgKGZpbGUtbmFtZSAoZ2l0LWZpbGUtbmFtZSBuYW1lIHZlcnNp
b24pKQogICAgICAgICAgICAgICAoc2hhMjU2CiAgICAgICAgICAgICAgICAoYmFzZTMyCi0gICAg
ICAgICAgICAgICAgIjFndmhrbXd6bDVmeXljN2s4cmM0cmYyYjltemgwNXdhOHdjeWJmOWh6Mngx
bXFrYzdsbXoiKSkpKQorICAgICAgICAgICAgICAgICIwczQ5dmJnM2o0cndoNzhpOHJ4OHFyN215
cWwwOXA3YjNsaHJqbDBwN2RkOTh4cDZhbm42IikpKSkKICAgICAoYnVpbGQtc3lzdGVtIGdudS1i
dWlsZC1zeXN0ZW0pCiAgICAgKGlucHV0cwogICAgICBgKCgibGliZXZkZXYiICxsaWJldmRldikK
LS0gCjIuMzIuMAoK

--b1_TziJnjx3PgSCRwD82fFi2YbdE2JEN0qDAGq8CURzQ8
Content-Type: text/x-patch; name=0002-gnu-interception-dual-function-keys-Minor-fixes.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0002-gnu-interception-dual-function-keys-Minor-fixes.patch
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--b1_TziJnjx3PgSCRwD82fFi2YbdE2JEN0qDAGq8CURzQ8--





Acknowledgement sent to "Paul A. Patience" <paul@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#49520; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 27 Jul 2021 10:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.